com.amazonaws.services.codedeploy.model

## Class UpdateApplicationRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.UpdateApplicationRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdateApplicationRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of an update application operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdateApplicationRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateApplicationRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getApplicationName()` The current name of the application you want to change.
`String` `getNewApplicationName()` The new name to give the application.
`int` `hashCode()`
`void` `setApplicationName(String applicationName)` The current name of the application you want to change.
`void` `setNewApplicationName(String newApplicationName)` The new name to give the application.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateApplicationRequest` `withApplicationName(String applicationName)` The current name of the application you want to change.
`UpdateApplicationRequest` `withNewApplicationName(String newApplicationName)` The new name to give the application.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateApplicationRequest

    public UpdateApplicationRequest()

### Method Detail

#### setApplicationName

    public void setApplicationName(String applicationName)

The current name of the application you want to change.

Parameters:
  `applicationName` - The current name of the application you want to change.

#### getApplicationName

    public String getApplicationName()

The current name of the application you want to change.

Returns:
  The current name of the application you want to change.

#### withApplicationName

    public UpdateApplicationRequest withApplicationName(String applicationName)

The current name of the application you want to change.

Parameters:
  `applicationName` - The current name of the application you want to change.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNewApplicationName

    public void setNewApplicationName(String newApplicationName)

The new name to give the application.

Parameters:
  `newApplicationName` - The new name to give the application.

#### getNewApplicationName

    public String getNewApplicationName()

The new name to give the application.

Returns:
  The new name to give the application.

#### withNewApplicationName

    public UpdateApplicationRequest withNewApplicationName(String newApplicationName)

The new name to give the application.

Parameters:
  `newApplicationName` - The new name to give the application.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateApplicationRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`